# $Revision: 1.39 $, $Date: 2002/10/25 12:22:19 $
#
# Conditional build:
# _without_lirc - disables LIRC
#
%ifarch sparc sparcv9 sparc64
%define		_without_lirc		1
%endif

Summary:	A TV viewer for Gnome
Summary(pl):	Program do ogldania telewizji dla GNOME
Name:		zapping
Version:	0.6.5
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/zapping/%{name}-%{version}.tar.bz2
Patch0:		%{name}-make.patch
Patch1:		%{name}-lirc-path.patch
Patch2:		%{name}-am15.patch
URL:		http://zapping.sourceforge.net/
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gdk-pixbuf-devel >= 0.8
BuildRequires:	gnome-libs-devel >= 1.0.40
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	libglade-gnome-devel >= 0.9
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libunicode-devel >= 0.4
BuildRequires:	libxml-devel >= 1.7.3
%{!?_without_lirc:BuildRequires: lirc-devel}
BuildRequires:	pam-devel
BuildRequires:	rte-devel >= 0.5
BuildRequires:	zvbi-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_localedir	/usr/share/locale
%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is a TV viewer for the GNOME desktop. It has all the needed
features, plus extensibility through a plugin system.

%description -l pl
Zapping to program do ogldania telewizji dla rodowiska GNOME. Ma
wszystkie potrzebne funkcje oraz oferuje moliwo rozszerzania
funkcjonalnoci przez system wtyczek (pluginw).

%package alirc-plugin
Summary:	Another Zapping plugin for infrared control
Summary(pl):	Kolejna wtyczka Zappingu do kontroli podczerwieni
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description alirc-plugin
This package allows you to control Zapping with a LIRC-supported
remote control.

%description alirc-plugin -l pl
Ten pakiet pozwala na obsug Zappingu pilotem zdalnego sterowania
obsugiwanym przez LIRC.

%package lirc-plugin
Summary:	Zapping plugin for infrared control
Summary(pl):	Wtyczka Zappingu do kontroli podczerwieni
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}
Requires:	lirc

%description lirc-plugin
This package allows you to control Zapping with a LIRC-supported
remote control.

%description lirc-plugin -l pl
Ten pakiet pozwala na obsug Zappingu pilotem zdalnego sterowania
obsugiwanym przez LIRC.

%package mpeg-plugin
Summary:	Zapping plugin for infrared control
Summary(pl):	Wtyczka Zappingu do kontroli podczerwieni
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description mpeg-plugin
This package allows you to control Zapping with a LIRC-supported
remote control.

%description mpeg-plugin -l pl
Ten pakiet pozwala na obsug Zappingu pilotem zdalnego sterowania
obsugiwanym przez LIRC.

%package screenshot-plugin
Summary:	Zapping plugin for taking screenshots
Summary(pl):	Wtyczka Zappinga do robienia zrzutw ekranu
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description screenshot-plugin
You can use this plugin to take screenshots of what you are actually
watching in TV. It will save the screenshots in JPEG format.

%description screenshot-plugin -l pl
Ta wtyczka pozwala na zrzucanie aktualnie ogldanego obrazu
telewizyjnego do pliku JPEG.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
echo '#undef HAVE_LIBSM' >> acconfig.h
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure \
	AS='${CC}' \
	--without-included-gettext
# We don't want dummy plugins
echo 'all install:' > plugins/template/Makefile.in
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_localedir}

ln -sf zapping $RPM_BUILD_ROOT%{_bindir}/zapzilla

mv -f plugins/alirc/README{.alirc,}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS THANKS NEWS README* TODO BUGS
%attr(0755,root,root) %{_bindir}/zapping
%attr(0755,root,root) %{_bindir}/zapzilla
%attr(0755,root,root) %{_bindir}/zapping_fix_overlay
%attr(4755,root,root) %{_bindir}/zapping_setup_fb
%attr(4755,root,root) %{_sbindir}/zapping_setup_fb
%dir %{_libdir}/zapping
%dir %{_libdir}/zapping/plugins
%dir %{_datadir}/zapping
%{_datadir}/zapping/zapping.glade
%{_pixmapsdir}/zapping
%{_applnkdir}/Multimedia/zapping.desktop
%{_mandir}/man?/*

%if %{!?_without_lirc:1}%{?_without_lirc:0}
%files alirc-plugin
%defattr(644,root,root,755)
%{_libdir}/zapping/plugins/libalirc.zapping.so
%attr(0755,root,root) %{_libdir}/zapping/plugins/libalirc.zapping.so.*.*
%doc plugins/alirc/README
%endif

%files lirc-plugin
%defattr(644,root,root,755)
%{_libdir}/zapping/plugins/liblirc.zapping.so
%attr(0755,root,root) %{_libdir}/zapping/plugins/liblirc.zapping.so.*.*
%doc plugins/lirc/README

%files mpeg-plugin
%defattr(644,root,root,755)
%{_libdir}/zapping/plugins/libmpeg.zapping.so
%attr(0755,root,root) %{_libdir}/zapping/plugins/libmpeg.zapping.so.*.*
%{_datadir}/zapping/mpeg_properties.glade

%files screenshot-plugin
%defattr(644,root,root,755)
%{_libdir}/zapping/plugins/libscreenshot.zapping.so
%attr(0755,root,root) %{_libdir}/zapping/plugins/libscreenshot.zapping.so.*.*
%{_datadir}/zapping/screenshot.glade

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: zapping.spec,v $
Revision 1.39  2002/10/25 12:22:19  marcus
- rel.2.

Revision 1.38  2002/10/25 12:02:06  marcus
- added using rte on !ix86

Revision 1.37  2002/10/11 17:39:18  misiek
- updated to 0.6.5

Revision 1.36  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.35  2002/08/16 23:52:30  qboosh
- added missing dir, release 5

Revision 1.34  2002/08/07 03:15:33  kloczek
- typo.

Revision 1.33  2002/08/06 18:07:33  kloczek
- disable lirc on sparc*.

Revision 1.32  2002/08/06 14:41:37  qboosh
- BR: libglade-gnome-devel; fixed bcond name; release 4

Revision 1.31  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.30  2002/06/13 05:58:00  juandon
- new %%doc scheme
- makeshift autoheader hack

Revision 1.29  2002/06/12 10:51:03  marcus
- rel.3

Revision 1.28  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/04/17 17:43:04  marcus
- BR rte-devel is ix86 only
- rel.2.

Revision 1.26  2002/04/04 01:21:40  saq
- up to 0.6.4
- unhashed BR: rte-devel, bumped to 0.6.4 (why had it been disabled?)
- BR: zvbi-devel

Revision 1.25  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.24  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:15:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/27 00:07:45  aflinta
- updated to version 0.6.2 STBR
- removed interface and ac patches
- removed parrot package (no longer in main tree)

Revision 1.20  2001/10/30 22:32:24  aflinta
- release 2, STBR

Revision 1.19  2001/10/30 22:30:59  aflinta
- added patch to version 0.6.1 (only) newer version will fix it, against config dialog creshes

Revision 1.18  2001/10/21 19:26:55  misiek
- updated to 0.6.1

Revision 1.17  2001/09/26 13:41:07  qboosh
- BuildRequires: autoconf, libtool

Revision 1.16  2001/09/13 05:59:20  saq
- update to 0.6.0
- changed Source0 URL
- patches: am15, AS_, host_alias
- BuildRequires: rte-devel (for MPEG stuff)
- define mandir to %%{_prefix}/man
- more plugin subpackages
- plugins' glade files go to their subpackages
- parrot plugin in %%if 0 -- doesn't work
- STB

Revision 1.15  2001/08/12 19:11:21  saq
- update to 0.5.92
- removed gettextize --copy --force (broke building)
- plugins go to %{_libdir}/zapping/plugins
- plugins go to subpackages
- STB

Revision 1.14  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.13  2001/03/16 12:34:36  alchemyx
- updated to 0.5.9
- patch awaiting
- NFY

Revision 1.12  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/10/30 07:47:56  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.10  2000/10/03 06:43:51  kloczek
- release 2: use rpm new automation suit.

Revision 1.9  2000/09/25 08:44:19  kloczek
- added libjpeg-devel to BuildRequires,
- added --without-included-gettext to autoconf script parametrs,
- last fix in %install and %files for plugins.

Revision 1.8  2000/09/25 07:37:50  kloczek
- fixed path to modules in %files.

Revision 1.7  2000/09/25 06:55:03  kloczek
- typo.

Revision 1.6  2000/09/25 06:45:42  kloczek
- updated to 0.5.4,
- changed plugins dir to %%{_libdir}/zapping (nof zapping is FHS compliant).

Revision 1.5  2000/07/25 09:10:29  kloczek
- typo.

Revision 1.4  2000/07/25 08:53:21  kloczek
- cchanged Source url to ftp.

Revision 1.3  2000/07/25 08:50:26  kloczek
- cosmetics.

Revision 1.2  2000/07/25 08:48:38  kloczek
- cmpletly rewrited in PLD style.
